import React__default from 'react';
import { ThemeProvider } from 'styled-components';
import theme from '../../../Globals/theme.js';
import globalStyle from '../../../Globals/global-styles.js';
import Tooltip from '../../Tooltip/Tooltip/index.js';
import NotificationIcon from '../../Icons/NotificationIcon/index.js';
import SidemenuDropdownArrowIcon from '../../Icons/SidemenuDropdownArrowIcon/index.js';
import { SidemenuIconsMainContainer, SideMenuIconsContainer, SidemenuDropdownWrapper } from './style.js';

var Item = function Item(_ref) {
  var item = _ref.item,
      onClick = _ref.onClick,
      index = _ref.index;
  return /*#__PURE__*/React__default.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React__default.createElement(globalStyle, null), /*#__PURE__*/React__default.createElement(React__default.Fragment, null, /*#__PURE__*/React__default.createElement(Tooltip, {
    title: item.name,
    key: index,
    placement: "right"
  }, /*#__PURE__*/React__default.createElement(React__default.Fragment, null, item.notifications > 0 && /*#__PURE__*/React__default.createElement(NotificationIcon, {
    value: item.notifications
  }), !item.hasSubMenu ? /*#__PURE__*/React__default.createElement(SidemenuIconsMainContainer, null, /*#__PURE__*/React__default.createElement(SideMenuIconsContainer, {
    href: item.path
  }, item.icon)) : /*#__PURE__*/React__default.createElement(SidemenuDropdownWrapper, {
    onClick: onClick
  }, item.icon, /*#__PURE__*/React__default.createElement(SidemenuDropdownArrowIcon, null))))));
};

export { Item as default };
//# sourceMappingURL=index.js.map
